
<template>
    <div class="menu">
        <router-link to="/main"><logo></logo></router-link>

<!--        <div class="main_menu" v-if='is_guest'>-->
<!--			<router-link to="/login" class="btn enter">{{$t('message.enter')}}</router-link>-->
<!--			<router-link to="/register" class="btn registration">{{$t('message.registration')}}</router-link>-->
<!--        </div>-->

        <div class="main_menu" v-if='is_user'>
            <router-link to="/main">{{$t('message.main')}}</router-link>
			<router-link to="/profile">{{$t('message.my_cabinet')}}</router-link>
			<router-link to='/orders'>{{$t('message.departure_in_ukraine')}}</router-link>
            <router-link to='/package/create'>{{$t('message.create_package')}}</router-link>

			<!-- <a href='/logout'>{{$t('message.logout')}}</a> -->
        </div>
<!--        <lang-selector></lang-selector>-->

        <div class="flex-center phone_menu">
            <a :href="`tel:` + $t('message.main_phone')" class="phone">{{$t('message.main_phone')}}</a>

            <button
                class="menu"
                @click='$modal.show("menu")'
                onclick="document.body.classList.add('lock')"
            >{{$t('message.menu')}}</button>
        </div>
    </div>
</template>

<script>
    import Logo from "./svg/Logo";

    export default {
        components: {
          "logo": Logo
        },
        data: () => {
            return {
            }
        },
        methods: {},
        computed: {
            is_user() {
                return this.$store.getters.is_user;
            }
        }
    }
</script>
